# Interface RowData

All Known Subinterfaces:
  `RowAccess, RowSequence, RowSplittable`

All Known Implementing Classes:
  `AccessRowSequence, CountCheckRowSequence, EmptyRowSequence, IteratorRowSequence, MappingRowSplittable, OnceRowPipe, ProgressRowSplittable, RandomRowSplittable, ReaderRowSequence, SequentialRowSplittable, WrapperRowAccess, WrapperRowSequence`

public interface RowData
Allows access to the values in a single row of a table.

Since:
  24 Jul 2020
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Object`
`getCell(int icol)`
Returns the contents of one cell in this row.
`Object[]`
`getRow()`
Returns the contents of all the cells in this row.

## Method Details

### getCell

Object getCell(int icol) throws IOException
Returns the contents of one cell in this row.

Parameters:
  `icol` - column index
Returns:
  cell contents
Throws:
  `IOException` - if there's a problem reading the value

### getRow

Object[] getRow() throws IOException
Returns the contents of all the cells in this row.

Note that implementations are in general (unless otherwise restricted by subtype documented contracts) free to return the same array, with different contents, on subsequent invocations of this method, so callers should not rely on the contents being undisturbed.

Returns:
  array with one element for each column of this row, containing cell data; may be reused by subsequent invocations
Throws:
  `IOException`